aboutsummaryrefslogtreecommitdiffstats
path: root/testing/fuse-exfat/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-09-16 12:23:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-16 12:25:33 +0000
commit94fc09b288d935afbbda22b690bc39dfb81de746 (patch)
tree76da7ec71c027ba6ae5ee1ce54060435f063a52f /testing/fuse-exfat/APKBUILD
parent60506008ce01c1856c13a66516237602b974b278 (diff)
downloadaports-94fc09b288d935afbbda22b690bc39dfb81de746.tar.gz
aports-94fc09b288d935afbbda22b690bc39dfb81de746.tar.bz2
aports-94fc09b288d935afbbda22b690bc39dfb81de746.tar.xz
testing/fuse-exfat: new aport
Free exFAT file system implementation http://code.google.com/p/exfat/ ref #2253
Diffstat (limited to 'testing/fuse-exfat/APKBUILD')
-rw-r--r--testing/fuse-exfat/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/fuse-exfat/APKBUILD b/testing/fuse-exfat/APKBUILD
new file mode 100644
index 0000000000..59ba6e5fa0
--- /dev/null
+++ b/testing/fuse-exfat/APKBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=fuse-exfat
+pkgver=1.0.1
+pkgrel=0
+pkgdesc="Free exFAT file system implementation"
+url="http://code.google.com/p/exfat/"
+arch="all"
+license="GPLv2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev fuse-dev scons"
+install=""
+subpackages=""
+source="http://exfat.googlecode.com/files/fuse-exfat-$pkgver.tar.gz"
+
+_builddir="$srcdir"/fuse-exfat-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ scons -j${JOBS:-2} || return 1
+
+}
+
+package() {
+ cd "$_builddir"
+ install -d "$pkgdir"/sbin
+ scons DESTDIR="$pkgdir"/sbin install || return 1
+}
+
+md5sums="7988a5111841593231f20af22153362d fuse-exfat-1.0.1.tar.gz"
+sha256sums="12ac1ba1b7d4343bef64e7898176705a41cfe3b5a7a179e28549d242e2854758 fuse-exfat-1.0.1.tar.gz"
+sha512sums="e444031e7a6b999b3014ced255447bdfe4586b16970f36393706433262ca0cbd17911d6ca7af3465871f3136bdd9c8be2ec85f0dd124d670b240829093d341f6 fuse-exfat-1.0.1.tar.gz"